<?php
/**
 * The base configuration for WordPress
 *
 * The wp-config.php creation script uses this file during the
 * installation. You don't have to use the web site, you can
 * copy this file to "wp-config.php" and fill in the values.
 *
 * This file contains the following configurations:
 *
 * * MySQL settings
 * * Secret keys
 * * Database table prefix
 * * ABSPATH
 *
 * @link https://codex.wordpress.org/Editing_wp-config.php
 *
 * @package WordPress
 */



//// Reroute uploads to a non-repo'd folder
// define( 'UPLOADS', ${OPENSHIFT_BUILD_DEPENDENCIES_DIR}.'wp/uploads' ); 


function wpLocal() {
	return ( $_SERVER['REMOTE_ADDR']=="127.0.0.1" || substr($_SERVER['HTTP_HOST'],0,9)=="localhost" );
}



if (wpLocal()) {	// LOCAL SETTINGS
	// ** MySQL settings - You can get this info from your web host ** //
	/** The name of the database for WordPress */
	define('DB_NAME', 'wordpress');

	/** MySQL database username */
	define('DB_USER', 'wordpress');

	/** MySQL database password */
	define('DB_PASSWORD', 'wordpress');

	/** MySQL hostname */
	define('DB_HOST', 'localhost');
} else {		
	// ** MySQL settings - You can get this info from your web host ** //
	/** The name of the database for WordPress */
	define('DB_NAME', getenv('DATABASE_NAME'));

	/** MySQL database username */
	define('DB_USER', getenv('DATABASE_USER'));

	/** MySQL database password */
	define('DB_PASSWORD', getenv('DATABASE_PASSWORD'));
	
	/** MySQL hostname */
	define('DB_HOST', getenv( strtoupper(str_replace('-', '_', getenv('DATABASE_SERVICE_NAME'))).'_SERVICE_HOST') );
}


/** Database Charset to use in creating database tables. */
define('DB_CHARSET', 'utf8');

/** The Database Collate type. Don't change this if in doubt. */
define('DB_COLLATE', '');

if($_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https'){
	$_SERVER['HTTPS'] = 'on';
	$_SERVER['SERVER_PORT'] = 443;
}

/**#@+
 * Authentication Unique Keys and Salts.
 *
 * Change these to different unique phrases!
 * You can generate these using the {@link https://api.wordpress.org/secret-key/1.1/salt/ WordPress.org secret-key service}
 * You can change these at any point in time to invalidate all existing cookies. This will force all users to have to log in again.
 *
 * @since 2.6.0
 */
define('AUTH_KEY',         's9SJc2Jg<(Fs~RUT%O-33L7AP;@B(+}a`iAjt)QP@h}|-eXx>P`[l;hZu],Q&WYM');
define('SECURE_AUTH_KEY',  '><%,of:E?@,`Yk#}FG-#d@.TtZb|~]1]HPCS+EKJ7Ow0XA:62im~X~3$74C5%#L_');
define('LOGGED_IN_KEY',    'RBfss%p}%`)zXc5VFq/nI@r;2|0]-1or!,K)8p[9.QQ|5|fzrLD|?:=1oM6Rc-Fq');
define('NONCE_KEY',        '-3SeO{pp,wz3b30XLaz@[&JZZI2;sQAs}wqlR`7hn[_ xi@,F^86+BwWg9&WwNhP');
define('AUTH_SALT',        'NnP-V/FCn)@0^Pb-[oy-I/mMNsInsO6|g-1iR1S)5 #+?SG6U|>)qaSIv4R6R+4_');
define('SECURE_AUTH_SALT', '[goF(rro-(=_A4(8b!:CZ-|/@_N~y `<+dZv9G|tnPc)Cq(sVfp8ORLQBM|+*<N`');
define('LOGGED_IN_SALT',   '/_G%/!*qx%`|wWp_|IEOJLLCRe8?5gC?Uz!ns9i2|OXf?L@Y1[^/?wVJjly@LAo[');
define('NONCE_SALT',       'Eis+<w;,!^wG}{c[C#P$gBQ^Q40FT|Ka+d#j8r8JKjGc=m#~`3vi~$/&.&vP/ycM');

/**#@-*/

/**
 * WordPress Database Table prefix.
 *
 * You can have multiple installations in one database if you give each
 * a unique prefix. Only numbers, letters, and underscores please!
 */
$table_prefix  = 'wp_';

/**
 * For developers: WordPress debugging mode.
 *
 * Change this to true to enable the display of notices during development.
 * It is strongly recommended that plugin and theme developers use WP_DEBUG
 * in their development environments.
 *
 * For information on other constants that can be used for debugging,
 * visit the Codex.
 *
 * @link https://codex.wordpress.org/Debugging_in_WordPress
 */
define('WP_DEBUG', false);

/* That's all, stop editing! Happy blogging. */

/** Absolute path to the WordPress directory. */
if ( !defined('ABSPATH') )
	define('ABSPATH', dirname(__FILE__) . '/');

/** Sets up WordPress vars and included files. */
require_once(ABSPATH . 'wp-settings.php');
