#!/usr/bin/env bash
sudo apt-get update -y

#### Install Ruby and Git (will use for CloudApps)
#sudo apt-get install ruby-full -y
sudo apt-get install git -y

#### Install apache2
	sudo apt-get install apache2
	
#### Define a few things for non-interactive MariaDB setup
	export DEBIAN_FRONTEND=noninteractive
	debconf-set-selections <<< 'mysql-server-5.5 mysql-server/root_password password root'
	debconf-set-selections <<< 'mysql-server-5.5 mysql-server/root_password_again password root'
#### Install MySQL Server
	sudo apt-get install mysql-server mysql-client -y

#### Install PHP
	sudo apt-get install php5 libapache2-mod-php5 php5-mysql php5-fpm php5-curl php5-gd php5-intl php-pear php5-imagick php5-imap php5-mcrypt php5-memcache php5-ming php5-ps php5-pspell php5-recode php5-snmp php5-sqlite php5-tidy php5-xmlrpc php5-xsl -y

#### Use our apache2.conf file instead (with AllowOverwrite on for htaccess)
	sudo cp /vagrant/apache2.conf /etc/apache2/apache2.conf
	sudo a2enmod rewrite
#### Restart apache
	sudo service apache2 restart
	





