#!/bin/bash

	echo "Creating wordpress Database"
	sudo echo "CREATE USER 'wordpress'@'localhost' IDENTIFIED BY 'wordpress'" | mysql -uroot -proot
	sudo echo "CREATE DATABASE wordpress" | mysql -uroot -proot
	sudo echo "GRANT ALL ON wordpress.* TO 'wordpress'@'localhost'" | mysql -uroot -proot
	sudo echo "flush privileges" | mysql -uroot -proot

	echo "Installing WordPress CLI"
	sudo curl -O https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli.phar 2> /dev/null
	sudo chmod +x wp-cli.phar 2> /dev/null
	sudo sudo mv wp-cli.phar /usr/local/bin/wp 2> /dev/null
	sudo chmod +x /usr/local/bin/wp 2> /dev/null
		
	echo "Downloading Wordpress ... "
	mkdir /var/www/html
	cd /var/www/html
	sudo wp core download --path="./wordpress" --allow-root
		
	echo "Setting up admin|admin"
	cd /var/www/html/wordpress/
	sudo wp core install --url="localhost:8282/wordpress" --title="Wordpress Base" --admin_user="admin" --admin_password="admin" --admin_email="admin@127.0.0.1" --allow-root

	echo "Copying in wp-config and index"
	sudo cp /vagrant/wp-config.php ./wp-config.php


